<h1 class="mt-3 text-center">Encuesta Musical</h1>
<h2>Favor ingresar correo y escoger generos musicales favoritos</h2>

<form class="form mt-3" [formGroup]="emailForm" autocomplete="false">
  <div class="example-container mt-5">
    <mat-form-field appearance="fill" class="design">
      <mat-label>Email</mat-label>
      <input matInput placeholder="Ingresar Email" formControlName="email" (keyup)="validForm()">
      <mat-icon matSuffix>email</mat-icon>
    </mat-form-field>
  </div>

  <div *ngIf="flag" class="row row-cols-1 row-cols-md-3 g-4">
    <div class="col" *ngFor="let item of estilosList">
      <div class="card h-100">
        <div class="card-body">
          <h3 class="card-title">{{item}}</h3>
          <input class="form-check-input" type="checkbox" (click)="addList(item)">
        </div>
      </div>
    </div>
  </div>

</form>
<button *ngIf="flag" type="button" class="btn btn-primary mt-4 text-end" (click)="enviarEncuesta()">Enviar Encuesta</button>

<div *ngIf="newHistorial !== []" class="container-fluid row row-cols-1 row-cols-md-3 g-4">
  <ul *ngFor="let item of newHistorial" class="list-group">
    <li class="list-group-item active" aria-current="true">{{item.email}}</li>
    <li *ngFor="let estilo of item.estilosMusicales" class="list-group-item">{{estilo}}</li>
  </ul>
</div>


